import {
  req
} from "../utils/req";

// 获取图片列表
function getLivePhone(data) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/live-photo/list/${data.id || ''}?page=${data.page || 1}&pageSize=${data.size || 10}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        data.success && data.success(res.data)
        resolve(res.data);
      }
    });
  })
}

export default {
  getLivePhone
}